
Core - Bug # 59671

Status: Resolved Priority: Should have
Author: Roland Waldner Category:
Created: 2014-06-19 Assigned To:
Updated: 2014-07-21 Due date:
TYPO3 Version: 6.2
PHP Version:
Complexity:
Is Regression: No
Sprint Focus:
Subject: IRRE related child records are not listed (comma separated list) in list module
Description

If you configure a field's type as inline (and do not use the MM option) the field will hold an integer representing the number of related
child records. So far so good.

Bug description: if you display this field via *set fields" in the list module the field does not show a comma separated list of the related
child records but displays the title of only one record - it is the record which UID equals the number of related child records: e.g. if 3
child records are related the shown record is the one having a UID of 3.

please have a look at the enclosed screenshots showing EXT:news as an example.

example-ext-news.png

Note: if you use m:n relations with a MM-table a comma separated list is shown as expected.

Related issues:
related to Core - Bug # 58951: show_item does not properly resolve MM group i... Closed 2014-05-20
related to Core - Bug # 60494: editing gridelement in foreign language exhaus... Resolved 2014-07-23
related to Core - Bug # 22970: t3lib_BEfunc::getProcessedValue() did not hand... Rejected 2010-06-23

Associated revisions
Revision 524ead97 - 2014-07-02 00:01 - Thomas Löffler

[BUGFIX] IRRE records are listed comma separated

IRRE records with foreign_field instead of MM table
are now listed as a comma separated list instead
of wrongly using the number of records as the UID.

Change-Id: Ib1434561ee823d931cc983e103fb58490ca83719
Resolves: #59671
Releases: 6.3,6.2
Reviewed-on: https://review.typo3.org/30967
Reviewed-by: Markus Klein
Tested-by: Markus Klein
Reviewed-by: Wouter Wolters
Tested-by: Wouter Wolters

Revision 2e60690d - 2014-07-02 00:04 - Thomas Löffler
IRRE records with foreign_field instead of MM table
are now listed as a comma separated list instead
of wrongly using the number of records as the UID.

Change-Id: Ib1434561ee823d931cc983e103fb58490ca83719
Resolves: #59671
Releases: 6.3,6.2
Reviewed-on: https://review.typo3.org/31281
Reviewed-by: Wouter Wolters
Tested-by: Wouter Wolters

History
#1 - 2014-06-20 21:21 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/30967

#2 - 2014-06-20 21:38 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/30967

#3 - 2014-07-02 00:04 - Gerrit Code Review

Patch set 1 for branch TYPO3_6-2 of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/31281

#4 - 2014-07-02 00:30 - Thomas Löffler
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:2e60690d0ac357056b47e851ee5cad060b3d1996.

#5 - 2014-07-21 17:10 - Caspar Stuebs

This Bug is related to #22970 reported since 4 Years and under review since 9 Month.

For images within the show item functionality I will get only the record uid, not the label of the image.
